Bug 1515165 - Seeing cpu affinity is not supported messages on compute node [NEEDINFO]
Summary: Seeing cpu affinity is not supported messages on compute node
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 10.0 (Newton)
Hardware: All
OS: All
urgent
urgent
Target Milestone: z7
: 10.0 (Newton)
Assignee: Sahid Ferdjaoui
QA Contact: Joe H. Rahme
URL:
Whiteboard:
: 1563067 (view as bug list)
Depends On: 1420903 1563067 1591385
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-20 09:57 UTC by Sahid Ferdjaoui
Modified: 2019-09-09 13:37 UTC (History)
21 users (show)

Fixed In Version: openstack-nova-14.0.9-2.el7ost
Doc Type: Bug Fix
Doc Text:
Prior to this update, QEMU (also known as TCG) guests had an issue where the `guest.get_vcpu_info` method was throwing an exception indicating that 0 were vCPUs used on the host, regardless of how many guests were running. Consequently, this caused the 'get_available_resources' method to report incorrect vCPUs used values for the Compute node. This meant it was overcounting resource consumption for plain QEMU guests, as they can only ever consume 1 pCPU of time, regardless of vCPU count. With this update, if a host does not report detailed vCPU usage from libvirt, then it should default to reporting 1 vCPU per guest, so that the 'vcpus_used' field reports some reasonably meaningful data on host CPU usage. As a result, libvirt does not report that 'cpu affinity is not supported' when guests are running in TCG.
Clone Of: 1420903
Environment:
Last Closed: 2018-04-03 10:31:54 UTC
sferdjao: needinfo? (nchandek)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0369 normal SHIPPED_LIVE Moderate: openstack-nova and python-novaclient security, bug fix, and enhancement update 2018-02-27 21:24:56 UTC
OpenStack gerrit 393254 None None None 2017-11-20 09:56:59 UTC

Comment 8 errata-xmlrpc 2018-02-27 16:24:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0369

Comment 9 Stephen Finucane 2018-04-03 09:06:09 UTC
*** Bug 1563067 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.